<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>稿件查询</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
</head>
<body>
    @include("common.header")
    @foreach($video_list as $video)
        <div class="max-w xl:max-w-5xl lg:max-w-2xl md:max-w-lg mx-2 md:mx-auto px-2 md:px-4 py-4 bg-white border border-gray-200 rounded-lg shadow-md my-4 dark:bg-gray-800">
            <div>
                <a href="/video/{{$video->id}}" class="text-2xl font-bold text-gray-700 dark:text-white hover:text-gray-600 dark:hover:text-gray-200 hover:underline" tabindex="0" role="link">{{$video->title}}</a>
                <div class="px-2 md:px-4 lg:px-8 mt-2 flex items-center justify-between">
                    <span class="text-sm font-light text-gray-600 dark:text-gray-400 hidden md:block">投稿时间：{{$video->created_at}}</span>
                </div>
                <p class="px-2 md:px-4 lg:px-8 mt-2 text-gray-600 dark:text-gray-300">视频时长：{{$video->total_duration}}</p>
                @if($video->danmakus_count > 0)
                <p class="px-2 md:px-4 lg:px-8 mt-2 text-gray-600 dark:text-gray-300">
                    弹幕数量：{{$video->danmakus_count}}
                    @if($video->bilibili_danmakus_count > 0)
                        <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/bilibili.ico" alt="B站" title="包含B站直播弹幕">
                    @endif
                    @if($video->ixigua_danmakus_count > 0)
                        <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/ixigua.ico" alt="西瓜视频" title="包含西瓜视频直播弹幕">
                    @endif
                    @if($video->douyin_danmakus_count > 0)
                        <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/douyin.ico" alt="抖音" title="包含抖音直播弹幕">
                    @endif
                </p>
                @endif
                @if($video->programs_count > 0)
                <p class="px-2 md:px-4 lg:px-8 mt-2 text-gray-600 dark:text-gray-300">节目数量：{{$video->programs_count}}</p>
                @endif
            </div>

            <div class="flex items-center gap-4 mt-4">
                <a href="https://www.bilibili.com/video/{{$video->bvid}}" target="_blank" class="inline-flex text-blue-600 dark:text-blue-400 hover:underline" tabindex="0" role="link">
                    去B站浏览
                    <svg class="w-5 h-5 ml-2" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M11 3a1 1 0 100 2h2.586l-6.293 6.293a1 1 0 101.414 1.414L15 6.414V9a1 1 0 102 0V4a1 1 0 00-1-1h-5z"></path><path d="M5 5a2 2 0 00-2 2v8a2 2 0 002 2h8a2 2 0 002-2v-3a1 1 0 10-2 0v3H5V7h3a1 1 0 000-2H5z"></path></svg>
                </a>
                @if($video->danmakus_count > 0)
                <a href="/danmakus/{{$video->bvid}}" class="inline-flex text-blue-600 dark:text-blue-400 hover:underline" tabindex="0" role="link">
                    直播弹幕明细
                </a>
                @endif
                @if($video->programs_count > 0)
                <a href="/video/{{$video->id}}" class="inline-flex text-blue-600 dark:text-blue-400 hover:underline" tabindex="0" role="link">
                    节目列表
                </a>
                @endif
            </div>
        </div>
    @endforeach
    {{$video_list->links()}}
    @include("common.footer")
</body>
</html>
